#include "Quat.hpp"

#include <iostream>

namespace spider {

    int quatMain() {
        Quat<double> q1 = { 1.0f, 0.0f, 0.0f, 0.0f };
        Quat<double> q2 = { 0.5f, 0.5f, 0.5f, 0.5f };

        Quat<double> result = quat_multiply(q1, q2);  // Returns the result!

        std::cout << "Result: ("
            << result.w << ", "
            << result.x << ", "
            << result.y << ", "
            << result.z << ")" << std::endl;

        return 0;
    }

}
